Catalogue

Search catalogue content based on specified criteria

This endpoint allows searching for titles using various query parameters.

get
https://openweb-api.nlb.gov.sg/api/v2/Catalogue/SearchTitles

Query Parameters

Keywordsstringrequired

Keywords may include BRN, ISBN, Title, Author, or Subject.

>= 1 characters<= 250 characters

Sourcestring

Corresponds to the “source” field in the title response.

<= 30 characters

Example:overdrive

Limitinteger(int32)

Default:20

>= 1<= 100

SortFieldsstring

Supported sort fields: relevancy, newmaterial, publicationDate.

Note: URL-encode the value when passing multiple sort fields.

  • Use prefix + or - for ascending or descending order.
  • Separate multiple sort fields using commas.
  • relevancy
  • newmaterial
  • +publicationDate
  • -publicationDate

<= 100 characters

Offsetinteger(int32)

Default:0

MaterialTypesarray[string]
Please refer to the response "facets" and get the id values to pass in the parameter.

Sample Value:

  • bks
  • ebk
  • dvd
IntendedAudiencesarray[string]
Please refer to the response "facets" and get the id values to pass in the parameter.

Sample Value:

  • adult
  • junior
DateFrominteger(int32)
DateTointeger(int32)
Locationsarray[string]
Please refer to the response "facets" and get the id values to pass in the parameter.

Sample Value:

  • amkpl
  • sbpl
  • trl
Languagesarray[string]
Please refer to the response "facets" and get the id values to pass in the parameter.

Sample Value:

  • eng
  • chi
Availabilityboolean
Fictionboolean

Response

application/json

OK

SearchTitlesResponseV2

* Additional properties are NOT allowed.
totalRecordsinteger(int32)

Total number of records for this search(dataset).

Example:999

countinteger(int32)

Number of records returned in the response.

Example:999

hasMoreRecordsboolean

Indicator - if dataset has more records or not for pagination.

Default:false

nextRecordsOffsetinteger(int32)

Value to pass in Offset parameter to navigate to next page.

Example:20

titlesarray[object]
* Additional properties are NOT allowed.
Show Child Parameters
facetsarray[object]
* Additional properties are NOT allowed.
Show Child Parameters
get/SearchTitles
 
application/json

Search catalogue content based on specified criteria.

This endpoint allows searching for titles using various query parameters.

Multiple search fields may be combined, and all provided criteria are applied using an AND operation.


The request must include at least one of the following fields:



  • Keywords

  • ISBN

  • Author

  • Subject

  • Title

get
https://openweb-api.nlb.gov.sg/api/v2/Catalogue/GetTitles

Query Parameters

Keywordsstring

Keywords can be Title/Author/Subject/ISBN.

If the keyword is present, other parameters will be ignored.

<= 250 characters

Titlestring

Title

<= 200 characters

Authorstring

Author name.

<= 200 characters

Subjectstring

Subject

<= 200 characters

ISBNstring

The standardised 10-digit or 13-digit international number that uniquely identifies a monographic publication

Match pattern:^(?:\d{9}[\dXx]|97[89]\d{10})$

Limitinteger(int32)

Default:20

>= 1<= 100

SortFieldsstring

Supported values are relevancy, newmaterial, publicationDate.

Note: Do URL encode the value.

  • Use prefix + or - to sort by ascending or descending and comma(,) separated for multiple sort fields.
  • relevancy
  • newmaterial
  • +publicationDate
  • -publicationDate

<= 100 characters

SetIdinteger(int32)

Default:0

Offsetinteger(int32)

Default:0

Response

application/json

OK

GetTitlesResponseV2

* Additional properties are NOT allowed.
totalRecordsinteger(int32)

Total number of records for this search(dataset).

Example:999

countinteger(int32)

Number of records returned in the response.

Example:999

hasMoreRecordsboolean

Indicator - if dataset has more records or not for pagination.

Default:false

nextRecordsOffsetinteger(int32)

Value to pass in Offset parameter to navigate to next page.

Example:20

setIdinteger(int32)

Search result dataset id.

Example:99999

titlesarray[object]
* Additional properties are NOT allowed.
Show Child Parameters
get/GetTitles
 
application/json

Retrieve detailed information for a specific title.

This endpoint returns detailed title information.
You must provide at least one search identifier either BRN or ISBN to look up the title.

get
https://openweb-api.nlb.gov.sg/api/v2/Catalogue/GetTitleDetails

Query Parameters

BRNinteger(int32)
ISBNstring

The standardised 10-digit or 13-digit international number that uniquely identifies a monographic publication

Match pattern:^(?:\d{9}[\dXx]|97[89]\d{10})$

Response

application/json

OK

GetTitleDetailsResponseV2

* Additional properties are NOT allowed.
brninteger(int32)

Bibliographic reference number.

Example:99999999

digitalIdstring | null

For external query purpose, to get the title or reserve the title in Overdrive

Example:Overdrive Id

otherTitlesarray | null[string]

Other titles.

nativeOtherTitlesarray | null[string]

Other titles(Native language).

variantTitlesarray | null[string]

Varying Form of Title.

nativeVariantTitlesarray | null[string]

Varying Form of Title(Native language).

otherAuthorsarray | null[string]

List of other authors.

nativeOtherAuthorsarray | null[string]

List of other authors(Native language).

isbnsarray[string]

Bibliographic International Standard Book Number identifiers.

Example:["9709999999"]

issnsarray | null[string]

Bibliographic International Standard Serial Number identifiers.

Example:["9999-9999"]

formatobjectrequired

Bibliographic Formats. Please refer to code list C001.

* Additional properties are NOT allowed.
Show Child Parameters
editionarray | null[string]

Information relating to the edition of a work.

Example:["Di 1 ban"]

nativeEditionarray | null[string]

Information relating to the edition of a work(Native language).

Example:["第1版"]

publisherarray[string]

Published by.

Example:["[Xi'an] : Wei lai chu ban she"]

nativePublisherarray | null[string]

Published by(Native language).

Example:["[西安] : 未来出版社"]

publishDatestring

publish date or year.

Example:2019-

subjectsarray[string]

subjects.

Example:["Science -- Experiments -- Juvenile films"]

physicalDescriptionarray[string]

Title physical dimensions.

Example:["283 p. : ill. ; 22 cm"]

nativePhysicalDescriptionarray | null[string]

Title physical dimensions(Native language).

Example:["283页 : 插图 ; 22公分"]

summaryarray | null[string]

Summary of the bibliographic content.

nativeSummaryarray | null[string]

Summary of the bibliographic content(Native language).

contentsarray | null[string]

Formatted Contents Note.

nativeContentsarray | null[string]

Formatted Contents Note(Native language).

thesisarray | null[string]

Dissertation Note.

nativeThesisarray | null[string]

Dissertation Note(Native language).

notesarray[string]

notes.

nativeNotesarray | null[string]

Native notes of the bibliographic record.

allowReservationboolean

Allow to place reservation or not.

Default:true

isRestrictedboolean

true, when title is marked as restricted publication.

Default:false

activeReservationsCountinteger(int32)

Number of reservations placed and in queue, not fullfilled and not expired.

Example:3

audiencearray | null[string]

Target audience - Marc tag 521 (all).

audienceImdaarray | null[string]

target audience - Marc tag 521 Ind 3 - Specific to highlight in display.

Example:["IMDA Advisory: Parental Guidance recommended."]

languagearray[string]

Languages

Example:["Chinese"]

serialboolean

serial indicator.

Default:false

volumeNotearray | null[string]

Volume information.

Example:["Vol. 1 (Jul. 1859)-"]

nativeVolumeNotearray | null[string]

Volume information(Native language).

frequencyarray | null[string]

Publish frequency.

Example:["Monthly"]

nativeFrequencyarray | null[string]

Publish frequency(Native language).

creditsarray | null[string]

Creation/Production Credits Note.

nativeCreditsarray | null[string]

Creation/Production Credits Note(Native language).

performersarray | null[string]

Participant or Performer Note.

nativePerformersarray | null[string]

Participant or Performer Note(Native language).

availabilityboolean

true when at least 1 item is “available” status.

Example:false

sourcestring | null

Source of the title

Example:Overdrive

volumesarray | null[string]

Volume name.

Example:["2023 issue 2"]

titlestring

Full title (with author info suffixed by /) of the bibliographic record.

nativeTitlestring | null

Full title (with author info suffixed by /) of the bibliographic record(Native language).

seriesTitlearray | null[string]

Series titles.

Example:["123 Zhima Jie"]

nativeSeriesTitlearray | null[string]

Series titles(Native language).

Example:["123芝麻街"]

authorstring

Author name in english.

Example:Song bing wu de yi xiang shi jie.

nativeAuthorstring | null

Bibliographic title(Native language).

Example:松饼屋的异想世界

get/GetTitleDetails
 
application/json

Retrieve availability and circulation details for a specific title.

This endpoint returns the current availability status and circulation information for a title at the selected library location.

You must provide at least one search identifier either BRN or ISBN to look up the title.

get
https://openweb-api.nlb.gov.sg/api/v2/Catalogue/GetAvailabilityInfo

Query Parameters

LocationCodestring

Location code please refer to table T001.

Match pattern:^(TRL|WRL|CMPL|LKCRL|AMKPL|BBPL|BPPL|BMPL|CLL|CSPL|CCKPL|GEPL|JRL|JWPL|QUPL|TPPL|YIPL|OCPL|CNPL|SBPL|LSC|SRPL|LOLC|MPPL|BEPL|SKPL|EPPL|MOLLEY|PRPL|BIPL|LSCAV|07LKCRL|08LKCRL|09LKCRL|11LKCRL|HBPL|PRL)$

Limitinteger(int32)

Default:20

>= 1<= 100

SortFieldsstring

Note: Do URL encode the value.

  • Use prefix + or - to sort by ascending or descending and comma(,) separated for multiple sort fields.
  • +locationCode
  • -locationCode
SetIdinteger(int32)

Default:0

Offsetinteger(int32)

Default:0

BRNinteger(int32)
ISBNstring

The standardised 10-digit or 13-digit international number that uniquely identifies a monographic publication

Match pattern:^(?:\d{9}[\dXx]|97[89]\d{10})$

Response

application/json

OK

GetAvailabilityInfoResponseV2

* Additional properties are NOT allowed.
setIdinteger(int32)

Search result dataset id.

totalRecordsinteger(int32)

Total number of records for this search(dataset).

Example:999

countinteger(int32)

Number of records returned in the response.

Example:999

hasMoreRecordsboolean

Indicator - if dataset has more records or not for pagination.

Default:false

nextRecordsOffsetinteger(int32)

Value to pass in Offset parameter to navigate to next page.

Example:20

itemsarray[object]
* Additional properties are NOT allowed.
Show Child Parameters
get/GetAvailabilityInfo
 
application/json

Retrieve newly arrived library titles based on a specified date range.

This endpoint returns a list of new arrival titles added to the library collection within a selected date range.

get
https://openweb-api.nlb.gov.sg/api/v2/Catalogue/GetNewTitles

Query Parameters

DateRangestringrequired

Supported values are Quarterly, Monthly, Weekly.

Match pattern:^(Quarterly|Monthly|Weekly)$

Default:Weekly

Limitinteger(int32)

Default:200

>= 1<= 200

SortFieldsstring

Supported values are relevancy, newmaterial, publicationDate.

Note: Do URL encode the value.

  • Use prefix + or - to sort by ascending or descending and comma(,) separated for multiple sort fields.
  • relevancy
  • newmaterial
  • +publicationDate
  • -publicationDate
SetIdinteger(int32)

Default:0

Offsetinteger(int32)

Default:0

MaterialTypesarray[string]
Please refer to the response "facets" and get the id values to pass in the parameter.

Sample Value:

  • bks
  • ebk
  • dvd
IntendedAudiencesarray[string]
Please refer to the response "facets" and get the id values to pass in the parameter.

Sample Value:

  • adult
  • junior
DateFrominteger(int32)
DateTointeger(int32)
Locationsarray[string]
Please refer to the response "facets" and get the id values to pass in the parameter.

Sample Value:

  • amkpl
  • sbpl
  • trl
Languagesarray[string]
Please refer to the response "facets" and get the id values to pass in the parameter.

Sample Value:

  • eng
  • chi
Availabilityboolean
Fictionboolean

Response

application/json

OK

SearchNewTitlesResponseV2

* Additional properties are NOT allowed.
totalRecordsinteger(int32)

Total number of records for this search(dataset).

Example:999

countinteger(int32)

Number of records returned in the response.

Example:999

nextRecordsOffsetinteger(int32)

Value to pass in Offset parameter to navigate to next page.

Example:20

hasMoreRecordsboolean

Indicator - if dataset has more records or not for pagination.

Default:false

titlesarray[object]
* Additional properties are NOT allowed.
Show Child Parameters
get/GetNewTitles
 
application/json